XMLFontMetricsReader (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.fonts

## Class XMLFontMetricsReader

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.apache.fop.fonts.XMLFontMetricsReader

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

  Deprecated.

      @Deprecated
      public class XMLFontMetricsReader
      extends org.xml.sax.helpers.DefaultHandler

  Class for reading a metric.xml file and creating a font object. Typical usage:

       XMLFontMetricsReader reader = new XMLFontMetricsReader(<path til metrics.xml>);
       reader.setFontEmbedPath(<path to a .ttf or .pfb file or null to diable embedding>);
       reader.useKerning(true);
       Font f = reader.getFont();

  N.B. This is deprecated functionality and is expected to be removed from a future version of FOP. New applications using FOP should not make direct or implied use of this mechanism.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLFontMetricsReader(org.xml.sax.InputSource source, InternalResourceResolver resourceResolver)` Deprecated. Construct a XMLFontMetricsReader object from a path to a metric.xml file and read metric data

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)` Deprecated.
    `void` | `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)` Deprecated.
    `Typeface` | `getFont()` Deprecated. Get the generated font object
    `void` | `setAdvancedEnabled(boolean enabled)` Deprecated. Enable/disable use of advanced typographic features for the font
    `void` | `setFontEmbedURI(java.net.URI path)` Deprecated. Sets the path to embed a font.
    `void` | `setKerningEnabled(boolean enabled)` Deprecated. Enable/disable use of kerning for the font
    `void` | `startDocument()` Deprecated.
    `void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)` Deprecated.

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLFontMetricsReader

          public XMLFontMetricsReader(org.xml.sax.InputSource source,
                                      InternalResourceResolver resourceResolver)
                               throws FOPException

      Deprecated.
      Construct a XMLFontMetricsReader object from a path to a metric.xml file and read metric data
      Parameters:
        `source` - Source of the font metric file
      Throws:
        `FOPException` - if loading the font fails

  - ### Method Detail

    - #### setFontEmbedURI

          public void setFontEmbedURI(java.net.URI path)

      Deprecated.
      Sets the path to embed a font. A null value disables font embedding.
      Parameters:
        `path` - URI for the embeddable file

    - #### setKerningEnabled

          public void setKerningEnabled(boolean enabled)

      Deprecated.
      Enable/disable use of kerning for the font
      Parameters:
        `enabled` - true to enable kerning, false to disable

    - #### setAdvancedEnabled

          public void setAdvancedEnabled(boolean enabled)

      Deprecated.
      Enable/disable use of advanced typographic features for the font
      Parameters:
        `enabled` - true to enable, false to disable

    - #### getFont

          public Typeface getFont()

      Deprecated.
      Get the generated font object
      Returns:
        the font

    - #### startDocument

          public void startDocument()

      Deprecated.
      Specified by:
        `startDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startDocument` in class `org.xml.sax.helpers.DefaultHandler`

    - #### startElement

          public void startElement(java.lang.String uri,
                                   java.lang.String localName,
                                   java.lang.String qName,
                                   org.xml.sax.Attributes attributes)
                            throws org.xml.sax.SAXException

      Deprecated.
      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement(java.lang.String uri,
                                 java.lang.String localName,
                                 java.lang.String qName)
                          throws org.xml.sax.SAXException

      Deprecated.
      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endElement` in class `org.xml.sax.helpers.DefaultHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)

      Deprecated.
      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `characters` in class `org.xml.sax.helpers.DefaultHandler`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.